---
title: "/calendars/{calendarId}/events/{eventId}"
url: "https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316/operations/deleteEvent"
---

> Full API specification: https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316.md

# /calendars/{calendarId}/events/{eventId}

`DELETE` `/calendars/{calendarId}/events/{eventId}`

Operation ID: `deleteEvent`

Deletes the event.

## Path parameters

- `calendarId` (string, uuid, required) - The calendar id.
- `eventId` (string, uuid, required) - The event id.

## Responses

- `204` - The event was deleted
- `401` - Missing or invalid bearer token
- `404` - No calendar or event with these ids
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Calendar API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/calendar/api/v1
    description: Production
paths:
  /calendars/{calendarId}/events/{eventId}:
    delete:
      operationId: deleteEvent
      summary: /calendars/{calendarId}/events/{eventId}
      description: Deletes the event.
      parameters:
        - $ref: "#/components/parameters/CalendarId"
        - $ref: "#/components/parameters/EventId"
      responses:
        "204":
          description: The event was deleted
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No calendar or event with these ids
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    CalendarId:
      name: calendarId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The calendar id.
    EventId:
      name: eventId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The event id.
  schemas:
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
